Get all provider statements Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/provider-statement

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[statement_uuids] string

    Comma separated list of payment period statement UUIDs. e.g. fb8ca37d-6c5b-4688-bb69-1aacfffb8bea

  • filter[name] string

    Comma separated list of partial provider statement names. e.g. Scottish Widows

  • filter[reference] string

    Comma separated list of partial provider statement references. e.g. SW#324

  • filter[provider_uuids] string

    Comma separated list of exact provider UUIDs. e.g. fb8ca37d-6c5b-4688-bb69-1aacfffb8bea

  • filter[date_from] string

    Statement date from in format YYYY-MM-DD e.g. 2022-10-15

  • filter[date_to] string

    Statement date from in format YYYY-MM-DD e.g. 2022-12-30

  • filter[amount_from] integer

    Total amount of transactions within provider statement to, in pennies e.g. 5000

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, reference, date, total_amount]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • number integer

        Provider statement number

      • name string

        Provider name

      • date string

        Provider statement date

      • reference string

        provider statement reference given by provider

      • filename string

        Filename if uploaded by CSV or automatically from EDI

      • origin string

        how the provider statement was created. Values are edi, manual, upload and auto

      • provider object

        Provider

        Hide provider attributes Show provider attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
      • statement object

        Statement

        Hide statement attributes Show statement attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • start_date string
        • end_date string
        • locked boolean
        • locked_at string
        • locked_by string
        • total_expectations object
          Hide total_expectations attributes Show total_expectations attributes object
          • amount string
          • currency string
          • formatted string
        • total_statement_transactions object
          Hide total_statement_transactions attributes Show total_statement_transactions attributes object
          • amount string
          • currency string
          • formatted string
        • total_bank_transactions object
          Hide total_bank_transactions attributes Show total_bank_transactions attributes object
          • amount string
          • currency string
          • formatted string
        • total_expectation_amount_reconciled_to_bank object
          Hide total_expectation_amount_reconciled_to_bank attributes Show total_expectation_amount_reconciled_to_bank attributes object
          • amount string
          • currency string
          • formatted string
        • total_expectation_percentage_reconciled_to_bank object
          Hide total_expectation_percentage_reconciled_to_bank attributes Show total_expectation_percentage_reconciled_to_bank attributes object
          • amount string
          • currency string
          • formatted string
        • expectations_count integer
        • statement_transactions_count integer
        • statement_transactions string
      • statement_transactions_count integer

        Total number of statement transactions within provider statement

      • statement_transactions array[object]

        Statement transactions within provider statement

        Hide statement_transactions attributes Show statement_transactions attributes object
        • uuid string
        • created_at string
        • updated_at string
        • client_name string
        • transaction_reference string
        • policy_number string
        • date string
        • gross_amount object
          Hide gross_amount attributes Show gross_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • net_amount object
          Hide net_amount attributes Show net_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • category string
        • payment_origin string
        • agency_number string
        • product_reference string
        • adviser_name string
        • sender_id_sib_number string
        • reason string
        • scheme_name string
        • scheme_number string
        • customer_number string
        • policy_market_value string
        • provider string
        • provider_statement string
        • metadata object
          Hide metadata attribute Show metadata attribute object
          • client_name string
        • expectation string
        • bank_transactions string
        • statement string
        • account string
        • firm string
      • total_amount object

        Total amount of all statement transactions within this provider statement

        Hide total_amount attributes Show total_amount attributes object
        • amount string
        • currency string
        • formatted string
      • reconciled_expectations_amount object

        Total amount reconciled against expectations

        Hide reconciled_expectations_amount attributes Show reconciled_expectations_amount attributes object
        • amount string
        • currency string
        • formatted string
      • reconciled_expectations_percentage number

        Total percentage reconciled against expectations

      • reconciled_bank_transactions_amount object

        Total amount reconciled against bank transactions

        Hide reconciled_bank_transactions_amount attributes Show reconciled_bank_transactions_amount attributes object
        • amount string
        • currency string
        • formatted string
      • reconciled_bank_transactions_percentage number

        Total percentage reconciled against bank transactions

      • is_fully_reconciled_to_expectations boolean

        Returns if all statement transactions are fully reconciled to expectations

GET /api/v1/provider-statement
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/provider-statement' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "9b7c34fb-baf6-4b29-a943-ca451cc95973",
      "created_at": "2026-06-09T14:10:15+01:00",
      "updated_at": "2026-06-09T14:10:15+01:00",
      "number": 23,
      "name": "Aviva",
      "date": "2026-06-09",
      "reference": "SW#8434",
      "filename": "aviva-statement-may.csv",
      "origin": "upload",
      "provider": {
        "uuid": "87f48238-b31c-438c-8bbc-4133cdef29cf",
        "created_at": "2026-06-09T14:10:15+01:00",
        "updated_at": "2026-06-09T14:10:15+01:00",
        "name": "AJ Bell",
        "slug": "aj-bell"
      },
      "statement": {
        "uuid": "5ffd0817-d563-4147-9fe9-c08f14811840",
        "created_at": "2026-06-09T14:10:15+01:00",
        "updated_at": "2026-06-09T14:10:15+01:00",
        "name": "01/06/2022 - 30/06/2022",
        "start_date": "2022-06-30",
        "end_date": "2022-06-01",
        "locked": false,
        "locked_at": "2026-06-09T14:10:15+01:00",
        "locked_by": "App\\Http\\Resources\\AccountResource",
        "total_expectations": {
          "amount": "124585",
          "currency": "GBP",
          "formatted": "£1,245.85"
        },
        "total_statement_transactions": {
          "amount": "125599",
          "currency": "GBP",
          "formatted": "£1,255.99"
        },
        "total_bank_transactions": {
          "amount": "125599",
          "currency": "GBP",
          "formatted": "£1,255.99"
        },
        "total_expectation_amount_reconciled_to_bank": {
          "amount": "125599",
          "currency": "GBP",
          "formatted": "£1,255.99"
        },
        "total_expectation_percentage_reconciled_to_bank": {
          "amount": "8570",
          "currency": "GBP",
          "formatted": "£85.70"
        },
        "expectations_count": 6,
        "statement_transactions_count": 6,
        "statement_transactions": "App\\Http\\Resources\\StatementTransactionResource"
      },
      "statement_transactions_count": 6,
      "statement_transactions": [
        {
          "uuid": "590098d1-f956-4058-ae86-c9593273df93",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "client_name": "Gareth Thompson",
          "transaction_reference": "PzT697SZFp",
          "policy_number": "AVIVA_00001",
          "date": "2026-06-09",
          "gross_amount": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "net_amount": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "category": "initial_fee",
          "payment_origin": "provider",
          "agency_number": "Agency number",
          "product_reference": "Product reference",
          "adviser_name": "Adviser name",
          "sender_id_sib_number": "Sender id sib number",
          "reason": "Reason",
          "scheme_name": "Scheme name",
          "scheme_number": "Scheme number",
          "customer_number": "Customer number",
          "policy_market_value": "Policy market value",
          "provider": "Aviva",
          "provider_statement": "App\\Http\\Resources\\ProviderStatementResource",
          "metadata": {
            "client_name": "Gareth Thompson"
          },
          "expectation": "App\\Http\\Resources\\ExpectationResource",
          "bank_transactions": "App\\Http\\Resources\\BankTransactionResource",
          "statement": "App\\Http\\Resources\\StatementResource",
          "account": "App\\Http\\Resources\\AccountResource",
          "firm": "App\\Http\\Resources\\FirmResource"
        }
      ],
      "total_amount": {
        "amount": "345895",
        "currency": "GBP",
        "formatted": "£3,458.95"
      },
      "reconciled_expectations_amount": {
        "amount": "12849",
        "currency": "GBP",
        "formatted": "£128.49"
      },
      "reconciled_expectations_percentage": 95.68,
      "reconciled_bank_transactions_amount": {
        "amount": "22985",
        "currency": "GBP",
        "formatted": "£229.85"
      },
      "reconciled_bank_transactions_percentage": 95.68,
      "is_fully_reconciled_to_expectations": true
    }
  ]
}